跳到主要内容

实盘策略列表

GET/research/strategies在线调试
GET https://api.shengkezhi.com/open/v1/research/strategies
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/strategies" \
  -H "Authorization: Bearer sk_xxx"

GET /research/strategies — 实盘策略列表。

需在请求头携带 Authorization: Bearer sk_xxx

响应

响应 dataStrategyList

字段类型必填说明
itemsStrategyListItem[]当前分页的策略列表项。
market_distributionobject(自由形)[]分市场三态分布(每项含 market/实盘/暂停/废弃/total)。
pageinteger当前页码,从 1 起。
page_sizeinteger每页条数。
status_countsobject(自由形)三态计数:中文状态名 → 数量。
totalinteger满足筛选条件的策略总数(分页前)。

调用示例

curl "https://api.shengkezhi.com/open/v1/research/strategies" -H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"items": [
{
"base_freq": "日线",
"code": "TS_1D_4E70093D",
"description": "沪深龙头日线时序动量策略",
"factor_count": 1,
"last_heartbeat": "2026-07-29 15:00:00",
"latest_weight_date": "2026-07-29",
"outsample_sdt": "2026-01-03 00:00:00",
"problem_code": "FTS_PROBLEM_8C7C30",
"status": "实盘",
"tags": [
"关注"
],
"weight_type": "ts"
}
],
"market_distribution": [
{
"market": "A股",
"total": 1,
"实盘": 1,
"废弃": 0,
"暂停": 0
}
],
"page": 1,
"page_size": 20,
"status_counts": {
"实盘": 1,
"废弃": 0,
"暂停": 0
},
"total": 1
},
"msg": "ok"
}